Close the Books — sales summary by channel
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/reports/close-books/sales-summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/reports/close-books/sales-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/reports/close-books/sales-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}{
"message": "<string>"
}{
"message": "<string>"
}Reports
Close the Books — sales summary by channel
Sales summary grouped by channel for the specified date range. Date range must be ≤ 3 months.
GET
/
reports
/
close-books
/
sales-summary
Close the Books — sales summary by channel
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Query Parameters
Start of range; span with end_date must be ≤ 3 months.
End of range
Response
Sales summary with channels, totalOrders, totalUnits, totalRevenue, etc.
⌘I